<?

# Server FTP
define("SERVER","localhost"); //IP ou Nome do Servidor
define("PORT",21); 
define("USER","bravacar.com.pt"); 
define("PASSWORD","73459286");
define("PASV",true); //Activa modo pasivo

# FUNCOES

function ConectarFTP()
{
   $id_ftp=ftp_connect(SERVER,PORT);
   ftp_login($id_ftp,USER,PASSWORD); 
   ftp_pasv($id_ftp,PASV);
   return $id_ftp; 
}


function SubirArquivo($pasta,$arquivo_local,$arquivo_remoto)
{
   
   $conn_id=ConectarFTP();   
   $ftp_target_dir = 'httpdocs/photo_rentacar/'.$pasta.'/';
   
   if (!ftp_chdir($conn_id, $ftp_target_dir)) 
      { echo "Could not enter FTP root directory."; die(); }  
   
   if (!ftp_put($conn_id,$arquivo_remoto,$arquivo_local,FTP_BINARY)) 
      { echo "Could not put the file"; die(); }

   ftp_close($conn_id);
}

function ApagarArquivo($pasta,$arquivo)
{
   $id_ftp=ConectarFTP();
   $ftp_target_dir = 'httpdocs/photo_rentacar/'.$pasta.'/';

   if (!ftp_chdir($id_ftp, $ftp_target_dir)) 
      { echo "Could not enter FTP root directory."; die(); }

   if (!ftp_delete($id_ftp,$arquivo)) 
      { echo "Could not delete the file"; }

   ftp_close($id_ftp);
}

function ObtenerRuta()
{
   $id_ftp=ConectarFTP();
   $Directorio=ftp_pwd($id_ftp);
   ftp_close($id_ftp);
   return $Directorio;
}

?>
